 drivers/pcmcia/Kconfig    |    4 ++++
 drivers/pcmcia/cs.c       |    4 ++--
 drivers/pcmcia/rsrc_mgr.c |   20 ++++++++++----------
 3 files changed, 16 insertions(+), 12 deletions(-)

diff -puN drivers/pcmcia/cs.c~pcmcia-6 drivers/pcmcia/cs.c
--- 25/drivers/pcmcia/cs.c~pcmcia-6	2003-03-21 20:04:38.000000000 -0800
+++ 25-akpm/drivers/pcmcia/cs.c	2003-03-21 20:04:38.000000000 -0800
@@ -1625,7 +1625,7 @@ int pcmcia_release_irq(client_handle_t h
 	free_irq(req->AssignedIRQ, req->Instance);
     }
 
-#ifdef CONFIG_ISA
+#ifdef CONFIG_PCMCIA_PROBE
     if (req->AssignedIRQ != s->cap.pci_irq)
 	undo_irq(req->Attributes, req->AssignedIRQ);
 #endif
@@ -1887,7 +1887,7 @@ int pcmcia_request_irq(client_handle_t h
     if (!s->cap.irq_mask) {
 	irq = s->cap.pci_irq;
 	ret = (irq) ? 0 : CS_IN_USE;
-#ifdef CONFIG_ISA
+#ifdef CONFIG_PCMCIA_PROBE
     } else if (s->irq.AssignedIRQ != 0) {
 	/* If the interrupt is already assigned, it must match */
 	irq = s->irq.AssignedIRQ;
diff -puN drivers/pcmcia/Kconfig~pcmcia-6 drivers/pcmcia/Kconfig
--- 25/drivers/pcmcia/Kconfig~pcmcia-6	2003-03-21 20:04:38.000000000 -0800
+++ 25-akpm/drivers/pcmcia/Kconfig	2003-03-21 20:04:38.000000000 -0800
@@ -87,5 +87,9 @@ config PCMCIA_SA1111
 	tristate "SA1111 support"
 	depends on PCMCIA_SA1100 && SA1111
 
+config PCMCIA_PROBE
+	bool
+	default y if ISA && !ARCH_SA1100 && !ARCH_CLPS711X
+
 endmenu
 
diff -puN drivers/pcmcia/rsrc_mgr.c~pcmcia-6 drivers/pcmcia/rsrc_mgr.c
--- 25/drivers/pcmcia/rsrc_mgr.c~pcmcia-6	2003-03-21 20:04:38.000000000 -0800
+++ 25-akpm/drivers/pcmcia/rsrc_mgr.c	2003-03-21 20:04:38.000000000 -0800
@@ -60,7 +60,7 @@
 #define INT_MODULE_PARM(n, v) static int n = v; MODULE_PARM(n, "i")
 
 INT_MODULE_PARM(probe_mem,	1);		/* memory probe? */
-#ifdef CONFIG_ISA
+#ifdef CONFIG_PCMCIA_PROBE
 INT_MODULE_PARM(probe_io,	1);		/* IO port probe? */
 INT_MODULE_PARM(mem_limit,	0x10000);
 #endif
@@ -85,7 +85,7 @@ static resource_map_t io_db = { 0, 0, &i
 
 static DECLARE_MUTEX(rsrc_sem);
 
-#ifdef CONFIG_ISA
+#ifdef CONFIG_PCMCIA_PROBE
 
 typedef struct irq_info_t {
     u_int			Attributes;
@@ -271,7 +271,7 @@ static int sub_interval(resource_map_t *
     
 ======================================================================*/
 
-#ifdef CONFIG_ISA
+#ifdef CONFIG_PCMCIA_PROBE
 static void do_io_probe(ioaddr_t base, ioaddr_t num)
 {
     
@@ -376,7 +376,7 @@ static int do_mem_probe(u_long base, u_l
     return (num - bad);
 }
 
-#ifdef CONFIG_ISA
+#ifdef CONFIG_PCMCIA_PROBE
 
 static u_long inv_probe(int (*is_valid)(u_long),
 			int (*do_cksum)(u_long),
@@ -440,7 +440,7 @@ void validate_mem(int (*is_valid)(u_long
     up(&rsrc_sem);
 }
 
-#else /* CONFIG_ISA */
+#else /* CONFIG_PCMCIA_PROBE */
 
 void validate_mem(int (*is_valid)(u_long), int (*do_cksum)(u_long),
 		  int force_low, socket_info_t *s)
@@ -457,7 +457,7 @@ void validate_mem(int (*is_valid)(u_long
     }
 }
 
-#endif /* CONFIG_ISA */
+#endif /* CONFIG_PCMCIA_PROBE */
 
 /*======================================================================
 
@@ -543,7 +543,7 @@ int find_mem_region(u_long *base, u_long
     
 ======================================================================*/
 
-#ifdef CONFIG_ISA
+#ifdef CONFIG_PCMCIA_PROBE
 
 static void fake_irq(int i, void *d, struct pt_regs *r) { }
 static inline int check_irq(int irq)
@@ -632,7 +632,7 @@ int try_irq(u_int Attributes, int irq, i
 
 /*====================================================================*/
 
-#ifdef CONFIG_ISA
+#ifdef CONFIG_PCMCIA_PROBE
 
 void undo_irq(u_int Attributes, int irq)
 {
@@ -723,7 +723,7 @@ static int adjust_io(adjust_t *adj)
 	    ret = CS_IN_USE;
 	    break;
 	}
-#ifdef CONFIG_ISA
+#ifdef CONFIG_PCMCIA_PROBE
 	if (probe_io)
 	    do_io_probe(base, num);
 #endif
@@ -745,7 +745,7 @@ static int adjust_io(adjust_t *adj)
 static int adjust_irq(adjust_t *adj)
 {
     int ret = CS_SUCCESS;
-#ifdef CONFIG_ISA
+#ifdef CONFIG_PCMCIA_PROBE
     int irq;
     irq_info_t *info;
     

_
